Skip to main content
`Ctrl`+`K`

# DMSetPointSF

Set the `PetscSF` encoding the parallel section point overlap for the `DM`.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetPointSF(DM dm, PetscSF sf)

Collective

## Input Parameters

- dm - The `DM`

- sf - The `PetscSF`

## See Also

DM Basics, `DM`, `DMGetPointSF()`, `DMGetSectionSF()`, `DMSetSectionSF()`, `DMCreateSectionSF()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/ts/tutorials/ex11.c
src/ts/tutorials/ex11_sa.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages